
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />

    <title>Data Structures &#8212; pyfuse3 3.4.0 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/classic.css" />
    
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/sphinx_highlight.js"></script>
    
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Request Handlers" href="operations.html" />
    <link rel="prev" title="FUSE API Functions" href="fuse_api.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="operations.html" title="Request Handlers"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="fuse_api.html" title="FUSE API Functions"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">pyfuse3 3.4.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Data Structures</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="data-structures">
<h1>Data Structures<a class="headerlink" href="#data-structures" title="Permalink to this heading">¶</a></h1>
<dl class="py data">
<dt class="sig sig-object py" id="pyfuse3.ENOATTR">
<span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">ENOATTR</span></span><a class="headerlink" href="#pyfuse3.ENOATTR" title="Permalink to this definition">¶</a></dt>
<dd><p>This errorcode is unfortunately missing in the <a class="reference external" href="https://docs.python.org/3/library/errno.html#module-errno" title="(in Python v3.12)"><code class="xref py py-obj docutils literal notranslate"><span class="pre">errno</span></code></a> module,
so it is provided by pyfuse3 instead.</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="pyfuse3.ROOT_INODE">
<span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">ROOT_INODE</span></span><a class="headerlink" href="#pyfuse3.ROOT_INODE" title="Permalink to this definition">¶</a></dt>
<dd><p>The inode of the root directory, i.e. the mount point of the file
system.</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="pyfuse3.RENAME_EXCHANGE">
<span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">RENAME_EXCHANGE</span></span><a class="headerlink" href="#pyfuse3.RENAME_EXCHANGE" title="Permalink to this definition">¶</a></dt>
<dd><p>A flag that may be passed to the <a class="reference internal" href="operations.html#pyfuse3.Operations.rename" title="pyfuse3.Operations.rename"><code class="xref py py-obj docutils literal notranslate"><span class="pre">rename</span></code></a> handler. When
passed, the handler must atomically exchange the two paths (which
must both exist).</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="pyfuse3.RENAME_NOREPLACE">
<span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">RENAME_NOREPLACE</span></span><a class="headerlink" href="#pyfuse3.RENAME_NOREPLACE" title="Permalink to this definition">¶</a></dt>
<dd><p>A flag that may be passed to the <a class="reference internal" href="operations.html#pyfuse3.Operations.rename" title="pyfuse3.Operations.rename"><code class="xref py py-obj docutils literal notranslate"><span class="pre">rename</span></code></a> handler. When
passed, the handler must not replace an existing target.</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="pyfuse3.default_options">
<span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">default_options</span></span><a class="headerlink" href="#pyfuse3.default_options" title="Permalink to this definition">¶</a></dt>
<dd><p>This is a recommended set of options that should be passed to
<a class="reference internal" href="fuse_api.html#pyfuse3.init" title="pyfuse3.init"><code class="xref py py-obj docutils literal notranslate"><span class="pre">pyfuse3.init</span></code></a> to get reasonable behavior and
performance. pyfuse3 is compatible with any other combination
of options as well, but you should only deviate from the defaults
with good reason.</p>
<p>(The <code class="samp docutils literal notranslate"><span class="pre">fsname=&lt;foo&gt;</span></code> option is guaranteed never to be included in the
default options, so you can always safely add it to the set).</p>
<p>The default options are:</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">default_permissions</span></code> enables permission checking by kernel.
Without this any umask (or uid/gid) would not have an effect.</p></li>
</ul>
</dd></dl>

<dl class="py exception">
<dt class="sig sig-object py" id="pyfuse3.FUSEError">
<em class="property"><span class="pre">exception</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">FUSEError</span></span><a class="headerlink" href="#pyfuse3.FUSEError" title="Permalink to this definition">¶</a></dt>
<dd><p>This exception may be raised by request handlers to indicate that
the requested operation could not be carried out. The system call
that resulted in the request (if any) will then fail with error
code <em>errno_</em>.</p>
</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="pyfuse3.FileHandleT">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">FileHandleT</span></span><a class="headerlink" href="#pyfuse3.FileHandleT" title="Permalink to this definition">¶</a></dt>
<dd><p>A subclass of <a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.12)"><code class="xref py py-obj docutils literal notranslate"><span class="pre">int</span></code></a>, representing an integer file handle produced by a
<a class="reference internal" href="operations.html#pyfuse3.Operations.create" title="pyfuse3.Operations.create"><code class="xref py py-obj docutils literal notranslate"><span class="pre">create</span></code></a>, <a class="reference internal" href="operations.html#pyfuse3.Operations.open" title="pyfuse3.Operations.open"><code class="xref py py-obj docutils literal notranslate"><span class="pre">open</span></code></a>, or <a class="reference internal" href="operations.html#pyfuse3.Operations.opendir" title="pyfuse3.Operations.opendir"><code class="xref py py-obj docutils literal notranslate"><span class="pre">opendir</span></code></a> call.</p>
</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="pyfuse3.FileNameT">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">FileNameT</span></span><a class="headerlink" href="#pyfuse3.FileNameT" title="Permalink to this definition">¶</a></dt>
<dd><p>A subclass of <a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#bytes" title="(in Python v3.12)"><code class="xref py py-obj docutils literal notranslate"><span class="pre">bytes</span></code></a>, representing a file name, with no embedded
zero-bytes (<code class="docutils literal notranslate"><span class="pre">\0</span></code>).</p>
</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="pyfuse3.FlagT">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">FlagT</span></span><a class="headerlink" href="#pyfuse3.FlagT" title="Permalink to this definition">¶</a></dt>
<dd><p>A subclass of <a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.12)"><code class="xref py py-obj docutils literal notranslate"><span class="pre">int</span></code></a>, representing flags modifying the behavior of an
operation.</p>
</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="pyfuse3.InodeT">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">InodeT</span></span><a class="headerlink" href="#pyfuse3.InodeT" title="Permalink to this definition">¶</a></dt>
<dd><p>A subclass of <a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.12)"><code class="xref py py-obj docutils literal notranslate"><span class="pre">int</span></code></a>, representing an inode number.</p>
</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="pyfuse3.ModeT">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">ModeT</span></span><a class="headerlink" href="#pyfuse3.ModeT" title="Permalink to this definition">¶</a></dt>
<dd><p>A subclass of <a class="reference external" href="https://docs.python.org/3/library/functions.html#int" title="(in Python v3.12)"><code class="xref py py-obj docutils literal notranslate"><span class="pre">int</span></code></a>, representing a file mode.</p>
</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="pyfuse3.XAttrNameT">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">XAttrNameT</span></span><a class="headerlink" href="#pyfuse3.XAttrNameT" title="Permalink to this definition">¶</a></dt>
<dd><p>A subclass of <a class="reference external" href="https://docs.python.org/3/library/stdtypes.html#bytes" title="(in Python v3.12)"><code class="xref py py-obj docutils literal notranslate"><span class="pre">bytes</span></code></a>, representing an extended attribute name, with no
embedded zero-bytes (<code class="docutils literal notranslate"><span class="pre">\0</span></code>).</p>
</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="pyfuse3.RequestContext">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">RequestContext</span></span><a class="headerlink" href="#pyfuse3.RequestContext" title="Permalink to this definition">¶</a></dt>
<dd><p>Instances of this class are passed to some <a class="reference internal" href="operations.html#pyfuse3.Operations" title="pyfuse3.Operations"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Operations</span></code></a> methods to
provide information about the caller of the syscall that initiated
the request.</p>
<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.RequestContext.pid">
<span class="sig-name descname"><span class="pre">pid</span></span><a class="headerlink" href="#pyfuse3.RequestContext.pid" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.RequestContext.uid">
<span class="sig-name descname"><span class="pre">uid</span></span><a class="headerlink" href="#pyfuse3.RequestContext.uid" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.RequestContext.gid">
<span class="sig-name descname"><span class="pre">gid</span></span><a class="headerlink" href="#pyfuse3.RequestContext.gid" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.RequestContext.umask">
<span class="sig-name descname"><span class="pre">umask</span></span><a class="headerlink" href="#pyfuse3.RequestContext.umask" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="pyfuse3.StatvfsData">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">StatvfsData</span></span><a class="headerlink" href="#pyfuse3.StatvfsData" title="Permalink to this definition">¶</a></dt>
<dd><p>Instances of this class store information about the file system.
The attributes correspond to the elements of the <code class="docutils literal notranslate"><span class="pre">statvfs</span></code>
struct, see <em class="manpage">statvfs(2)</em> for details.</p>
<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.StatvfsData.f_bsize">
<span class="sig-name descname"><span class="pre">f_bsize</span></span><a class="headerlink" href="#pyfuse3.StatvfsData.f_bsize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.StatvfsData.f_frsize">
<span class="sig-name descname"><span class="pre">f_frsize</span></span><a class="headerlink" href="#pyfuse3.StatvfsData.f_frsize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.StatvfsData.f_blocks">
<span class="sig-name descname"><span class="pre">f_blocks</span></span><a class="headerlink" href="#pyfuse3.StatvfsData.f_blocks" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.StatvfsData.f_bfree">
<span class="sig-name descname"><span class="pre">f_bfree</span></span><a class="headerlink" href="#pyfuse3.StatvfsData.f_bfree" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.StatvfsData.f_bavail">
<span class="sig-name descname"><span class="pre">f_bavail</span></span><a class="headerlink" href="#pyfuse3.StatvfsData.f_bavail" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.StatvfsData.f_files">
<span class="sig-name descname"><span class="pre">f_files</span></span><a class="headerlink" href="#pyfuse3.StatvfsData.f_files" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.StatvfsData.f_ffree">
<span class="sig-name descname"><span class="pre">f_ffree</span></span><a class="headerlink" href="#pyfuse3.StatvfsData.f_ffree" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.StatvfsData.f_favail">
<span class="sig-name descname"><span class="pre">f_favail</span></span><a class="headerlink" href="#pyfuse3.StatvfsData.f_favail" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.StatvfsData.f_namemax">
<span class="sig-name descname"><span class="pre">f_namemax</span></span><a class="headerlink" href="#pyfuse3.StatvfsData.f_namemax" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">EntryAttributes</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes" title="Permalink to this definition">¶</a></dt>
<dd><p>Instances of this class store attributes of directory entries.
Most of the attributes correspond to the elements of the <code class="docutils literal notranslate"><span class="pre">stat</span></code>
C struct as returned by e.g. <code class="docutils literal notranslate"><span class="pre">fstat</span></code> and should be
self-explanatory.</p>
<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.st_ino">
<span class="sig-name descname"><span class="pre">st_ino</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.st_ino" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.generation">
<span class="sig-name descname"><span class="pre">generation</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.generation" title="Permalink to this definition">¶</a></dt>
<dd><p>The inode generation number</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.entry_timeout">
<span class="sig-name descname"><span class="pre">entry_timeout</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.entry_timeout" title="Permalink to this definition">¶</a></dt>
<dd><p>Validity timeout for the name/existence of the directory entry</p>
<p>Floating point numbers may be used. Units are seconds.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.attr_timeout">
<span class="sig-name descname"><span class="pre">attr_timeout</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.attr_timeout" title="Permalink to this definition">¶</a></dt>
<dd><p>Validity timeout for the attributes of the directory entry</p>
<p>Floating point numbers may be used. Units are seconds.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.st_mode">
<span class="sig-name descname"><span class="pre">st_mode</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.st_mode" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.st_nlink">
<span class="sig-name descname"><span class="pre">st_nlink</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.st_nlink" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.st_uid">
<span class="sig-name descname"><span class="pre">st_uid</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.st_uid" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.st_gid">
<span class="sig-name descname"><span class="pre">st_gid</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.st_gid" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.st_rdev">
<span class="sig-name descname"><span class="pre">st_rdev</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.st_rdev" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.st_size">
<span class="sig-name descname"><span class="pre">st_size</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.st_size" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.st_blksize">
<span class="sig-name descname"><span class="pre">st_blksize</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.st_blksize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.st_blocks">
<span class="sig-name descname"><span class="pre">st_blocks</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.st_blocks" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.st_atime_ns">
<span class="sig-name descname"><span class="pre">st_atime_ns</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.st_atime_ns" title="Permalink to this definition">¶</a></dt>
<dd><p>Time of last access in (integer) nanoseconds</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.st_ctime_ns">
<span class="sig-name descname"><span class="pre">st_ctime_ns</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.st_ctime_ns" title="Permalink to this definition">¶</a></dt>
<dd><p>Time of last inode modification in (integer) nanoseconds</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.EntryAttributes.st_mtime_ns">
<span class="sig-name descname"><span class="pre">st_mtime_ns</span></span><a class="headerlink" href="#pyfuse3.EntryAttributes.st_mtime_ns" title="Permalink to this definition">¶</a></dt>
<dd><p>Time of last modification in (integer) nanoseconds</p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="pyfuse3.FileInfo">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">FileInfo</span></span><a class="headerlink" href="#pyfuse3.FileInfo" title="Permalink to this definition">¶</a></dt>
<dd><p>Instances of this class store options and data that <a class="reference internal" href="operations.html#pyfuse3.Operations.open" title="pyfuse3.Operations.open"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Operations.open</span></code></a>
returns. The attributes correspond to the elements of the <code class="docutils literal notranslate"><span class="pre">fuse_file_info</span></code>
struct that are relevant to the <a class="reference internal" href="operations.html#pyfuse3.Operations.open" title="pyfuse3.Operations.open"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Operations.open</span></code></a> function.</p>
<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.FileInfo.fh">
<span class="sig-name descname"><span class="pre">fh</span></span><a class="headerlink" href="#pyfuse3.FileInfo.fh" title="Permalink to this definition">¶</a></dt>
<dd><p>fh: ‘uint64_t’</p>
<p>This attribute must be set to the file handle to be returned from
<a class="reference internal" href="operations.html#pyfuse3.Operations.open" title="pyfuse3.Operations.open"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Operations.open</span></code></a>.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.FileInfo.direct_io">
<span class="sig-name descname"><span class="pre">direct_io</span></span><a class="headerlink" href="#pyfuse3.FileInfo.direct_io" title="Permalink to this definition">¶</a></dt>
<dd><p>direct_io: ‘bool’</p>
<p>If true, signals to the kernel that this file should not be cached
or buffered.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.FileInfo.keep_cache">
<span class="sig-name descname"><span class="pre">keep_cache</span></span><a class="headerlink" href="#pyfuse3.FileInfo.keep_cache" title="Permalink to this definition">¶</a></dt>
<dd><p>keep_cache: ‘bool’</p>
<p>If true, signals to the kernel that previously cached data for this
inode is still valid, and should not be invalidated.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.FileInfo.nonseekable">
<span class="sig-name descname"><span class="pre">nonseekable</span></span><a class="headerlink" href="#pyfuse3.FileInfo.nonseekable" title="Permalink to this definition">¶</a></dt>
<dd><p>nonseekable: ‘bool’</p>
<p>If true, indicates that the file does not support seeking.</p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="pyfuse3.SetattrFields">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">SetattrFields</span></span><a class="headerlink" href="#pyfuse3.SetattrFields" title="Permalink to this definition">¶</a></dt>
<dd><p><a class="reference internal" href="#pyfuse3.SetattrFields" title="pyfuse3.SetattrFields"><code class="xref py py-obj docutils literal notranslate"><span class="pre">SetattrFields</span></code></a> instances are passed to the <a class="reference internal" href="operations.html#pyfuse3.Operations.setattr" title="pyfuse3.Operations.setattr"><code class="xref py py-obj docutils literal notranslate"><span class="pre">setattr</span></code></a> handler
to specify which attributes should be updated.</p>
<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.SetattrFields.update_atime">
<span class="sig-name descname"><span class="pre">update_atime</span></span><a class="headerlink" href="#pyfuse3.SetattrFields.update_atime" title="Permalink to this definition">¶</a></dt>
<dd><p>If this attribute is true, it signals the <a class="reference internal" href="operations.html#pyfuse3.Operations.setattr" title="pyfuse3.Operations.setattr"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Operations.setattr</span></code></a>
method that the <a class="reference internal" href="#pyfuse3.EntryAttributes.st_atime_ns" title="pyfuse3.EntryAttributes.st_atime_ns"><code class="xref py py-obj docutils literal notranslate"><span class="pre">st_atime_ns</span></code></a> field contains an
updated value.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.SetattrFields.update_mtime">
<span class="sig-name descname"><span class="pre">update_mtime</span></span><a class="headerlink" href="#pyfuse3.SetattrFields.update_mtime" title="Permalink to this definition">¶</a></dt>
<dd><p>If this attribute is true, it signals the <a class="reference internal" href="operations.html#pyfuse3.Operations.setattr" title="pyfuse3.Operations.setattr"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Operations.setattr</span></code></a>
method that the <a class="reference internal" href="#pyfuse3.EntryAttributes.st_mtime_ns" title="pyfuse3.EntryAttributes.st_mtime_ns"><code class="xref py py-obj docutils literal notranslate"><span class="pre">st_mtime_ns</span></code></a> field contains an
updated value.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.SetattrFields.update_mode">
<span class="sig-name descname"><span class="pre">update_mode</span></span><a class="headerlink" href="#pyfuse3.SetattrFields.update_mode" title="Permalink to this definition">¶</a></dt>
<dd><p>If this attribute is true, it signals the <a class="reference internal" href="operations.html#pyfuse3.Operations.setattr" title="pyfuse3.Operations.setattr"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Operations.setattr</span></code></a>
method that the <a class="reference internal" href="#pyfuse3.EntryAttributes.st_mode" title="pyfuse3.EntryAttributes.st_mode"><code class="xref py py-obj docutils literal notranslate"><span class="pre">st_mode</span></code></a> field contains an
updated value.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.SetattrFields.update_uid">
<span class="sig-name descname"><span class="pre">update_uid</span></span><a class="headerlink" href="#pyfuse3.SetattrFields.update_uid" title="Permalink to this definition">¶</a></dt>
<dd><p>If this attribute is true, it signals the <a class="reference internal" href="operations.html#pyfuse3.Operations.setattr" title="pyfuse3.Operations.setattr"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Operations.setattr</span></code></a>
method that the <a class="reference internal" href="#pyfuse3.EntryAttributes.st_uid" title="pyfuse3.EntryAttributes.st_uid"><code class="xref py py-obj docutils literal notranslate"><span class="pre">st_uid</span></code></a> field contains an
updated value.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.SetattrFields.update_gid">
<span class="sig-name descname"><span class="pre">update_gid</span></span><a class="headerlink" href="#pyfuse3.SetattrFields.update_gid" title="Permalink to this definition">¶</a></dt>
<dd><p>If this attribute is true, it signals the <a class="reference internal" href="operations.html#pyfuse3.Operations.setattr" title="pyfuse3.Operations.setattr"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Operations.setattr</span></code></a>
method that the <a class="reference internal" href="#pyfuse3.EntryAttributes.st_gid" title="pyfuse3.EntryAttributes.st_gid"><code class="xref py py-obj docutils literal notranslate"><span class="pre">st_gid</span></code></a> field contains an
updated value.</p>
</dd></dl>

<dl class="py attribute">
<dt class="sig sig-object py" id="pyfuse3.SetattrFields.update_size">
<span class="sig-name descname"><span class="pre">update_size</span></span><a class="headerlink" href="#pyfuse3.SetattrFields.update_size" title="Permalink to this definition">¶</a></dt>
<dd><p>If this attribute is true, it signals the <a class="reference internal" href="operations.html#pyfuse3.Operations.setattr" title="pyfuse3.Operations.setattr"><code class="xref py py-obj docutils literal notranslate"><span class="pre">Operations.setattr</span></code></a>
method that the <a class="reference internal" href="#pyfuse3.EntryAttributes.st_size" title="pyfuse3.EntryAttributes.st_size"><code class="xref py py-obj docutils literal notranslate"><span class="pre">st_size</span></code></a> field contains an
updated value.</p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="pyfuse3.ReaddirToken">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">pyfuse3.</span></span><span class="sig-name descname"><span class="pre">ReaddirToken</span></span><a class="headerlink" href="#pyfuse3.ReaddirToken" title="Permalink to this definition">¶</a></dt>
<dd><p>An identifier for a particular <a class="reference internal" href="operations.html#pyfuse3.Operations.readdir" title="pyfuse3.Operations.readdir"><code class="xref py py-obj docutils literal notranslate"><span class="pre">readdir</span></code></a> invocation.</p>
</dd></dl>

</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper"><h3><a href="index.html">Table Of Contents</a></h3>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="about.html">About</a></li>
<li class="toctree-l1"><a class="reference internal" href="install.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="general.html">General Information</a></li>
<li class="toctree-l1"><a class="reference internal" href="asyncio.html">asyncio Support</a></li>
<li class="toctree-l1"><a class="reference internal" href="fuse_api.html">FUSE API Functions</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Data Structures</a></li>
<li class="toctree-l1"><a class="reference internal" href="operations.html">Request Handlers</a></li>
<li class="toctree-l1"><a class="reference internal" href="util.html">Utility Functions</a></li>
<li class="toctree-l1"><a class="reference internal" href="gotchas.html">Common Gotchas</a></li>
<li class="toctree-l1"><a class="reference internal" href="example.html">Example File Systems</a></li>
<li class="toctree-l1"><a class="reference internal" href="changes.html">Changelog</a></li>
</ul>

  <div>
    <h4>Previous topic</h4>
    <p class="topless"><a href="fuse_api.html"
                          title="previous chapter">FUSE API Functions</a></p>
  </div>
  <div>
    <h4>Next topic</h4>
    <p class="topless"><a href="operations.html"
                          title="next chapter">Request Handlers</a></p>
  </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="operations.html" title="Request Handlers"
             >next</a> |</li>
        <li class="right" >
          <a href="fuse_api.html" title="FUSE API Functions"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">pyfuse3 3.4.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Data Structures</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2024, Nikolaus Rath.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 5.3.0.
    </div>
  </body>
</html>